### Method

# Gio Settings get_has_unapplied

since: 2.26

#### Declaration [src]

    gboolean
    g_settings_get_has_unapplied (
      GSettings* settings
    )

#### Description [src]

Returns whether the `GSettings` object has any unapplied changes.

This can only be the case if it is in ‘delay-apply’ mode.

Available since: 2.26

Gets property | `Gio.Settings:has-unapplied`

#### Return value

Type: `gboolean`

True if `settings` has unapplied changes, false otherwise.